Core Resources
Orders
An order is created after a charge is successfully processed. The order contains all the same json data as the charge. In case of a prepaid order creation, the order will be queued for a particular date and submitted on that date to shopify.

#The order object
These fields are deprecated, however they will not be removed from this API version.
product_title is deprecated. Use title instead. shipping_date is deprecated. Use scheduled_at instead. shopify_id is deprecated. Use shopify_order_id instead. address_is_active is deprecated. Please ignore, not an applicable field.Attributes
- idintegerThe unique numeric identifier for the order.
- billing_addressobjectThe billing address at the time the order was created. See addresses for detailed address information.
Show child attributesHide child attributes22
- idintegerUnique numeric identifier for the
Address. - address1stringThe street associated with the
Address. - address2stringAny additional information associated with the shipping address.
- The note that that will be passed to the
notefield ofOrdersmade within theAddress.cart_noteis not currently honored when sent to the Shopify contract api (SCI). - citystringThe city associated with the shipping address.
- companystringThe company associated with the shipping address.
- countrystringThe country associated with the shipping address.
- country_codestringThe 2-letter country code.
- customer_idintegerUnique numeric identifier for the
Customerassociated with theAddress. - discount_idintegerUnique numeric identifier of
Discountthat is applied on theAddress. - first_namestringThe customer’s first name associated with the address.
- last_namestringThe customer’s last name associated with the address.
- note_attributesarray of objectsExtra information that is added to the order.
- phonestringThe phone number associated with the address.
- Presentment currency is the currency used to display prices to the associated on a storefront and at checkout.Only set if the currency is different from the store-level currency. Else, will default to store-level currency.
- provincestringThe state or province associated with the address.
- shipping_lines_overridearray of objectsUsed when shipping rates need to be overridden. If this parameter has value
null, rates will be fetched when a relatedChargeis created or regenerated - zipstringThe zip or postal code associated with the address.
- cart_attributesarrayAdditional information added to an initial order.Important: This field will be deprecated. Please use
note_attributesinstead. - created_atdatetimeThe date and time when the address was created.
- Shipping line details.Important: This field will be deprecated. Please use
shipping_lines_overrideinstead. - updated_atdatetimeThe date and time when the
Addresswas last updated.
- currencystringThe currency of the payment used to create the order.
- customerobjectObject that contains information about the customer.
Show child attributesHide child attributes5
- accepts_marketingbooleanIndicates whether the
Customergives consent for marketing communications. - emailstringThe email address of the customer.
- first_namestringThe customer’s first name.
- last_namestringThe customer’s last name.
- send_email_welcomebooleanWhether the customer should receive a Welcome email notification.
- emailstringThe email address of the customer.
- errorstringString describing the reason for the error state.
- first_namestringThe first name of the customer.
- is_prepaidbooleanThe order that has been paid for a pre-determined number of months. 0=No, 1=Yes.
- last_namestringThe last name of the customer.
- line_itemsarray of objectsA list of line item objects, each one containing information about an item in the order.
Show child attributesHide child attributes14
- The inventory behavior policy, according to the store-level setting within Recharge. This parameter is read-only and cannot be changed, other than at the store settings level.
- gramintegerWeight in grams of the item.
- imagesobjectImages of the product.
- original_pricestringThe original price of the item without discounts or taxes.
- pricestringThe price of the item.
- product_titlestringThe title of the product.
- quantityintegerThe number of products that were purchased.
- shopify_product_idintegerThe unique numeric identifier for the Shopify product in the fulfillment.
- shopify_variant_idintegerThe id of the Shopify product variant.
- tax_linesarray of objectsAn array of tax lines that apply to the
LineItem.Show child attributesHide child attributes4
- pricestringThe total tax associated with the listed jurisdiction.
- ratestringThe tax rate associated with the listed jurisdiction.
- titlestringThe title/name of the taxing jurisdiction.
- unit_pricestringThe tax associated with a single unit attributed to the listed jurisdiction.
- titlestringThe title of the product.
- variant_titlestringThe title of the product variant.
- skustringA unique identifier of the item in the fulfillment.
- propertiesarray of objectsAn array of
Propertyobjects containing customer information for an item that has been added to the checkout.
- payment_processorstringThe type of payment the processor has chosen.
- processed_atstringThe date when the order was submitted.
- scheduled_atdatetimeThe date when the order will be shipped.
- shipping_addressobjectThe shipping address where the order will be shipped. See [addresses](/addresses) for detailed address information.
Show child attributesHide child attributes22
- idintegerUnique numeric identifier for the
Address. - address1stringThe street associated with the
Address. - address2stringAny additional information associated with the shipping address.
- The note that that will be passed to the
notefield ofOrdersmade within theAddress.cart_noteis not currently honored when sent to the Shopify contract api (SCI). - citystringThe city associated with the shipping address.
- companystringThe company associated with the shipping address.
- countrystringThe country associated with the shipping address.
- country_codestringThe 2-letter country code.
- customer_idintegerUnique numeric identifier for the
Customerassociated with theAddress. - discount_idintegerUnique numeric identifier of
Discountthat is applied on theAddress. - first_namestringThe customer’s first name associated with the address.
- last_namestringThe customer’s last name associated with the address.
- note_attributesarray of objectsExtra information that is added to the order.
- phonestringThe phone number associated with the address.
- Presentment currency is the currency used to display prices to the associated on a storefront and at checkout.Only set if the currency is different from the store-level currency. Else, will default to store-level currency.
- provincestringThe state or province associated with the address.
- shipping_lines_overridearray of objectsUsed when shipping rates need to be overridden. If this parameter has value
null, rates will be fetched when a relatedChargeis created or regenerated - zipstringThe zip or postal code associated with the address.
- cart_attributesarrayAdditional information added to an initial order.Important: This field will be deprecated. Please use
note_attributesinstead. - created_atdatetimeThe date and time when the address was created.
- Shipping line details.Important: This field will be deprecated. Please use
shipping_lines_overrideinstead. - updated_atdatetimeThe date and time when the
Addresswas last updated.
- shopify_cart_tokenstringUnique cart token generated by Shopify when an item is added to the cart.
- shopify_customer_idintegerUnique numeric identifier within Shopify for the customer.
- shopify_order_idintegerUnique numeric identifier within Shopify for the order.
- shopify_order_numberintegerThe unique order number within Shopify.
- statusstringThe status of creating the order within Shopify.
- transaction_idstringThe unique alphanumeric identifier of the transaction.
- total_priceintegerThe sum of all of the prices of the items in the order with taxes and discounts included (must be positive).
- total_dutiesstringThe total cost of duties for the order.
- typestringShows if order was made thorough checkout or if it’s a recurring charge. Inputs: “CHECKOUT” or “RECURRING”.
- address_idintegerThe id of the customer shipping address that this order is tied to.
- address_is_activebooleanTells if address is currently active. 0=No, 1=Yes.
Deprecated. Not an applicable field. - charge_idintegerThe unique numeric identifier of the charge.
- created_atdatetimeThe date when the order was created.
- customer_idintegerThe unique numeric identifier of the customer.
- shipping_datedatetimeThe date when the order will be processed.
Use scheduled_at instead. - shopify_idstringUnique numeric identifier within Shopify for the order.
Deprecated, use shopify_order_id instead. - updated_atdatetimeThe date when the order was last updated.
{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"created_at": "2018-11-08T08:08:09",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"error": "",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"external_inventory_policy": "decrement_obeying_policy",
"images": {
"large": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_large.jpeg",
"medium": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_medium.jpeg",
"original": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2.jpeg",
"small": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_small.jpeg"
},
"original_price": "17.00",
"price": "17.00",
"product_title": "Milk",
"properties": [
{
"name": "grind",
"value": "drip"
},
{
"name": "size",
"value": "medium"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"title": "Milk",
"variant_title": "Milk - a / b"
}
],
"note": "shopifyCartToken_littledata:45af6dbe140d8dc1a9b7821ae256cfff GAClientId:1215763073.1492751771 - next order #3 - Subscription Recurring Order",
"note_attributes": [],
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2022-11-16T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [
{
"code": "Standard Shipping",
"price": 0,
"title": "Standard Shipping"
}
],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "CANCELLED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 18144,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-12-20T13:25:52"
}
}curl 'https://api.rechargeapps.com/orders/70071255' \
-H 'X-Recharge-Access-Token: your_api_token'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"created_at": "2018-11-08T08:08:09",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"error": "",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"images": {
"large": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_large.jpeg",
"medium": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_medium.jpeg",
"original": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2.jpeg",
"small": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_small.jpeg"
},
"original_price": "17.00",
"price": "17.00",
"properties": [
{
"name": "grind",
"value": "drip"
},
{
"name": "size",
"value": "medium"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"variant_title": "Milk - a / b"
}
],
"note": "shopifyCartToken_littledata:45af6dbe140d8dc1a9b7821ae256cfff GAClientId:1215763073.1492751771 - next order #3 - Subscription Recurring Order",
"note_attributes": [],
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2022-11-16T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [
{
"code": "Standard Shipping",
"price": 0,
"title": "Standard Shipping"
}
],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "CANCELLED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 18144,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-12-20T13:25:52"
}
}#Update an order
PUT/orders/{id}
Updating existing order is now available for pre-paid subscriptions.
Scope
write_ordersBody parameters
- billing_addressobjectThe key values you would like to update:
address1 optional
province required
address2 optional
city optional
company optional
country optional
first_name optional
last_name optional
phone optional
zip optional - shipping_addressobjectThe key values you would like to update:
address1 optional
province required
address2 optional
city optional
company optional
country optional
first_name optional
last_name optional
phone optional
zip optional - customerobjectThe key values related with customer you would like to update:
first_name optional
last_name required
email optional
curl -X PUT 'https://api.rechargeapps.com/orders/70071255' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"billing_address": {
"city": "Los Angeles",
"first_name": "mike",
"last_name": "flynn",
"zip": "90025"
}
}'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"created_at": "2018-11-08T08:08:09",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"error": "",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"external_inventory_policy": "decrement_obeying_policy",
"images": {
"large": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_large.jpeg",
"medium": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_medium.jpeg",
"original": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2.jpeg",
"small": "https://cdn.shopify.com/s/files/1/0683/1951/products/milk2_small.jpeg"
},
"original_price": "17.00",
"price": "17.00",
"product_title": "Milk",
"properties": [
{
"name": "grind",
"value": "drip"
},
{
"name": "size",
"value": "medium"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"title": "Milk",
"variant_title": "Milk - a / b"
}
],
"note": "shopifyCartToken_littledata:45af6dbe140d8dc1a9b7821ae256cfff GAClientId:1215763073.1492751771 - next order #3 - Subscription Recurring Order",
"note_attributes": [],
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2022-11-16T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [
{
"code": "Standard Shipping",
"price": 0,
"title": "Standard Shipping"
}
],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "CANCELLED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 18144,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-12-20T13:25:52"
}
}curl -X DELETE 'https://api.rechargeapps.com/orders/70071255' \
-H 'X-Recharge-Access-Token: your_api_token'{}#List orders
GET/orders
Returns a list of orders.
## HTTP request examples
## HTTP request examples
GET /orders GET /orders?customer_id=123 GET /orders?address_id=4587216 GET /orders?charge_id=45678542 GET /orders?created_at_min=2016-05-18&created_at_max=2016-06-18Scope
read_ordersQuery parameters
- address_idstringFilter orders by address.
GET /orders/?address_id=123will return all orders for the givenaddress_id - charge_idstringFilter orders by charge.
GET /orders/?charge_id=123will return all orders for the givencharge_id - created_at_maxstringShow orders created before the given date.
- created_at_minstringShow orders created after the given date.
- customer_idstringFilter orders by customer.
GET /orders/?customer_id=123will return all orders for the givencustomer_id - idsstringFilter orders by id. If passing multiple values, must be comma separated. Non-integer values will result in a 422 error
- limitstringThe number of results. Default is 50, maximum is 250.
- The page to show. Default is 1.Page-based pagination has been deprecated but still available to use for pages up to a 100. If you need data past this point, use cursor pagination.
- scheduled_at_maxstringShow orders scheduled before the given date.
- scheduled_at_minstringShow orders scheduled after the given date.
- shipping_datestringThe date when the order will be processed and sent to Shopify.
Deprecated, use scheduled_at instead. - shopify_order_idstringFilter orders by shopify_order_id.
- has_external_orderstringFilter orders with/without shopify_order_id (external_order_id). Default value is null
- statusstringFilter orders by status. Available status: “SUCCESS”, “QUEUED”, “ERROR”, “REFUNDED”, “SKIPPED”.
- subscription_idstringFilter orders by subscriptions.
GET /orders/?subscription_id=123will return all orders for the givensubscription_id - updated_at_maxstringShow orders updated before the given date.
- updated_at_minstringShow orders updated after the given date.
curl 'https://api.rechargeapps.com/orders?limit=3' \
-H 'X-Recharge-Access-Token: your_api_token'{
"orders": [
{
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"created_at": "2018-11-08T08:08:09",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"grams": 0,
"images": {
"large": "https://cdn.shopify.com/.../Sumatra_Coffee_large.png",
"medium": "https://cdn.shopify.com/.../Sumatra_Coffee__medium.png",
"original": "https://cdn.shopify.com/.../Sumatra_Coffee_.png",
"small": "https://cdn.shopify.com/.../Sumatra_Coffee__small.png"
},
"original_price": "0.00",
"price": "0.00",
"product_title": "Sumatra Coffee Dark",
"properties": [
{
"name": "grind",
"value": "drip"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 32720763846,
"sku": "MILK-1",
"subscription_id": 26375706,
"title": "Sumatra Coffee Dark",
"variant_title": "Milk - a / b"
}
],
"note": "shopifyCartToken_littledata:45af6dbe140d8dc1a9b7821ae256cfff GAClientId:1215763073.1492751771 - next order #3 - Subscription Recurring Order",
"note_attributes": null,
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2022-11-16T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "QUEUED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 0,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-11-09T10:07:52"
}
]
}#Count orders
GET/orders/count
Retrieve a count of all orders.
## HTTP request examples
## HTTP request examples
GET /orders/count GET /orders/count GET /orders/count?address_id=123123 GET /orders/count?charge_id=123123 GET /orders/count?created_at_min=2015-01-01&created_at_max=2019-02-02 GET /orders/count?customer_id=123123 GET /orders/count?scheduled_at_min=2016-01-01&scheduled_at_max=2019-02-02 GET /orders/count?shopify_customer_id=123123123 GET /orders/count?subscription_id=123123 GET /orders/count?status=queuedScope
read_ordersQuery parameters
- address_idstringFilter orders by address.
GET /orders/?address_id=123will return all orders for the givenaddress_id - charge_idstringFilter orders by charge.
GET /orders/?charge_id=123will return all orders for the givencharge_id - created_at_maxstringShow orders created before the given date.
- created_at_minstringShow orders created after the given date.
- customer_idstringFilter orders by customer.
GET /orders/?customer_id=123will return all orders for the givencustomer_id - scheduled_at_maxstringShow orders scheduled before the given date.
- scheduled_at_minstringShow orders scheduled after the given date.
- shopify_customer_idstringReturn the count of orders by shopify_customer_id.
- statusstringFilter orders by status. Available status: “SUCCESS”, “QUEUED”, “ERROR”, “REFUNDED”, “SKIPPED”.
- subscription_idstringFilter orders by subscriptions.
GET /orders/?subscription_id=123will return all orders for the givensubscription_id - updated_at_maxstringShow orders updated before the given date.
- updated_at_minstringShow orders updated after the given date.
Response attributes
- countinteger
curl 'https://api.rechargeapps.com/orders/count' \
-H 'X-Recharge-Access-Token: your_api_token'{
"count": 38667
}#Change an order date
POST/orders/{id}/change_date
Modify the shipping date of the order.
Scope
write_ordersBody parameters
- New shipping date in ISO 8601 format.
curl -X POST 'https://api.rechargeapps.com/orders/7271806/change_date' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"scheduled_at": "2018-07-01T00:00:00"
}'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"created_at": "2018-11-08T08:08:09",
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"grams": 0,
"images": {
"large": "https://cdn.shopify.com/.../Sumatra_Coffee_large.png",
"medium": "https://cdn.shopify.com/.../Sumatra_Coffee__medium.png",
"original": "https://cdn.shopify.com/.../Sumatra_Coffee_.png",
"small": "https://cdn.shopify.com/.../Sumatra_Coffee__small.png"
},
"original_price": "0.00",
"price": "0.00",
"product_title": "Sumatra Coffee Dark",
"properties": [
{
"name": "grind",
"value": "drip"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"title": "Sumatra Coffee Dark",
"variant_title": "Milk - a / b"
}
],
"note": "next order #3",
"note_attributes": null,
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2018-07-01T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "QUEUED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 0,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-06-09T10:07:52"
}
}#Change an order variant
PUT/orders/{id}/update_shopify_variant/{remote_variant_id}
Modify the shopify product variant of the order.
Scope
write_ordersBody parameters
- Unique numeric identifier of new shopify product variant.
- Unique numeric identifier of existing shopify product variant.
curl -X POST 'https://api.rechargeapps.com/orders/1234/update_shopify_variant/454545' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"new_shopify_variant_id": "32720763846"
}'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"created_at": "2018-11-08T08:08:09",
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"grams": 0,
"images": {
"large": "https://cdn.shopify.com/.../Sumatra_Coffee_large.png",
"medium": "https://cdn.shopify.com/.../Sumatra_Coffee__medium.png",
"original": "https://cdn.shopify.com/.../Sumatra_Coffee_.png",
"small": "https://cdn.shopify.com/.../Sumatra_Coffee__small.png"
},
"original_price": "0.00",
"price": "0.00",
"product_title": "Sumatra Coffee Dark",
"properties": [
{
"name": "grind",
"value": "drip"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"title": "Sumatra Coffee Dark",
"variant_title": "Milk - a / b"
}
],
"note": "next order #3",
"note_attributes": null,
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2018-07-01T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "QUEUED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 0,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-06-09T10:07:52"
}
}#Clone an order
POST/orders/clone_order_on_success_charge/{order_id}/charge/{charge_id}
You may add additional Orders onto a success Charge if it has existing prepaid Orders by cloning an existing Order.
Scope
write_ordersBody parameters
- Date in future when this order will be sent.
curl -X POST 'https://api.rechargeapps.com/orders/clone_order_on_success_charge/70071255/charge/100714428' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token' \
-d '{
"scheduled_at": "2022-11-16"
}'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "SUCCESS",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"created_at": "2018-11-08T08:08:09",
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"grams": 0,
"images": {
"large": "https://cdn.shopify.com/.../Sumatra_Coffee_large.png",
"medium": "https://cdn.shopify.com/.../Sumatra_Coffee__medium.png",
"original": "https://cdn.shopify.com/.../Sumatra_Coffee_.png",
"small": "https://cdn.shopify.com/.../Sumatra_Coffee__small.png"
},
"original_price": "0.00",
"price": "0.00",
"product_title": "Sumatra Coffee Dark",
"properties": [
{
"name": "grind",
"value": "drip"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"title": "Sumatra Coffee Dark",
"variant_title": "Milk - a / b"
}
],
"note": "next order #3",
"note_attributes": null,
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2018-07-01T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2022-11-16T00:00:00",
"shipping_lines": [],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "QUEUED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 0,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2018-06-09T10:07:52"
}
}#Delay an order
POST/orders/{id}/delay
Delay a prepaid
Order by one intervalScope
write_ordersThe
id must be for the next queued Order for a prepaid Subscription. The Order will be delayed by one interval, and all subsequent Orders and Charges will be shifted by the same amount.curl -X POST 'https://api.rechargeapps.com/orders/70071255/delay' \
-H 'Content-Type: application/json' \
-H 'X-Recharge-Access-Token: your_api_token'{
"order": {
"id": 70071255,
"address_id": 4029306,
"address_is_active": 1,
"billing_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"charge_id": 97376832,
"charge_status": "QUEUED",
"created_at": "2022-02-04T18:19:52",
"currency": "USD",
"customer": {
"accepts_marketing": true,
"email": "examlpe@email.com",
"first_name": "mike",
"last_name": "flynn",
"phone": null,
"send_email_welcome": false,
"verified_email": true
},
"customer_id": 4203912,
"discount_codes": [],
"email": "examlpe@email.com",
"first_name": "mike",
"hash": "42039120ee0e6cfa5c97805",
"is_prepaid": 1,
"last_name": "flynn",
"line_items": [
{
"grams": 0,
"images": {
"large": "https://cdn.shopify.com/.../Sumatra_Coffee_large.png",
"medium": "https://cdn.shopify.com/.../Sumatra_Coffee__medium.png",
"original": "https://cdn.shopify.com/.../Sumatra_Coffee_.png",
"small": "https://cdn.shopify.com/.../Sumatra_Coffee__small.png"
},
"original_price": "0.00",
"price": "0.00",
"product_title": "Sumatra Coffee Dark",
"properties": [
{
"name": "grind",
"value": "drip"
}
],
"quantity": 4,
"shopify_product_id": 1255183683,
"shopify_variant_id": 3844924611,
"sku": "MILK-1",
"subscription_id": 26375706,
"title": "Sumatra Coffee Dark",
"variant_title": "Milk - a / b"
}
],
"note": "next order #3",
"note_attributes": null,
"payment_processor": "stripe",
"processed_at": null,
"scheduled_at": "2023-03-07T00:00:00",
"shipped_date": null,
"shipping_address": {
"address1": "1933 Manning",
"address2": "204",
"city": "los angeles",
"company": "bootstrap",
"country": "United States",
"first_name": "mike",
"last_name": "flynn",
"phone": "3103103101",
"province": "California",
"zip": "90025"
},
"shipping_date": "2023-03-07T00:00:00",
"shipping_lines": [],
"shopify_cart_token": "45af6dbe140d8dc1a9b7821ae256cfff",
"shopify_customer_id": "6454896021",
"shopify_id": null,
"shopify_order_id": null,
"shopify_order_number": null,
"status": "QUEUED",
"subtotal_price": 0,
"tags": "Prepaid, Subscription, Subscription Recurring Order",
"tax_lines": [
{
"price": "0.950",
"rate": 0.0725,
"title": "CA State Tax"
},
{
"price": "0.335",
"rate": 0.0225,
"title": "Los Angeles County Tax"
}
],
"total_discounts": 0,
"total_duties": 0,
"total_line_items_price": 0,
"total_price": 0,
"total_refunds": null,
"total_tax": 0,
"total_weight": 0,
"transaction_id": "ch_1DUDEtJ2zqHvZRd1EQHjapRD",
"type": "RECURRING",
"updated_at": "2023-01-17T11:36:08"
}
}